/**
 * Initiate Parallax
 */
function dslc_parallax() {
    jQuery(window).stellar();
    window.onscroll = function() {
        jQuery(window).stellar();
    };
}
/**
 * Initiate Counter
 */
function cocktail_counter() {
    jQuery('.counter-wrapper').each(function() {
        jQuery('.odometer').waypoint(function() {
            var data_number = jQuery(this).attr('data-number');
            jQuery(this).html(data_number);
        }, {offset: '75%', triggerOnce: true});
    });
}
/**
 * Initiate Circle Chart
 */
function cocktail_circle_chart() {
    jQuery('.circle-chart-wrapper').each(function(e) {
        jQuery(".chart").waypoint(function() {
            var data_easing = jQuery(this).attr('data-easing'),
                    data_duration = jQuery(this).attr('data-duration'),
                    data_lineCap = jQuery(this).attr('data-line-cap'),
                    data_lineWidth = jQuery(this).attr('data-line-width'),
                    data_bar_color = jQuery(this).attr('data-bar-color'),
                    data_track_color = jQuery(this).attr('data-track-color'),
                    data_sise = jQuery(this).attr('data-size');
            jQuery(this).easyPieChart({
                easing: data_easing,
                animate: data_duration,
                lineCap: data_lineCap, //butt, round and square.
                lineWidth: data_lineWidth,
                barColor: data_bar_color,
                trackColor: data_track_color,
                size: data_sise,
                scaleColor: false,
                onStep: function(from, to, percent) {
                    jQuery(this.el).find('.percent-chart').text(Math.round(percent));
                }
            });
        }, {offset: '85%', triggerOnce: true});
    });
}
function dslc_check_viewport() {
    jQuery('.dslc-in-viewport-check:in-viewport:not(.dslc-in-viewport)').each(function() {
        var _this = jQuery(this);
        var anim = _this.data('dslc-anim');
        var anim_speed = parseInt(_this.data('dslc-anim-duration'));
        var anim_delay = parseInt(_this.data('dslc-anim-delay'));
        var anim_easing = _this.data('dslc-anim-easing');
        var anim_params = anim + ' ' + anim_speed + 'ms' + ' ' + anim_easing + ' forwards';
        jQuery(this).addClass('dslc-in-viewport');
        _this.waypoint(function() {
            if (anim_delay > 0) {
                setTimeout(function() {
                    _this.css({
                        '-webkit-animation': anim_params,
                        '-moz-animation': anim_params,
                        'animation': anim_params
                    });
                }, anim_delay);
            } else {
                jQuery(this).css({
                    '-webkit-animation': anim_params,
                    '-moz-animation': anim_params,
                    'animation': anim_params
                });
            }
        }, {offset: '80%', triggerOnce: true});
    });
}
jQuery(document).ready(function($) {
    /**
     * Filter
     */
    // init Isotope
    $(document).ready(function() {
        if (jQuery(".dslc-posts.dslc-projects.dslc-init-grid.cocktail-posts").length > 0)
        {
            var container = jQuery('.dslc-posts.dslc-projects.dslc-init-grid').isotope({
                itemSelector: '.dslc-post',
                transitionDuration: '.5s',
                layoutMode: 'fitRows'
            });
            var last_count = 0;
            var last = false;
            jQuery('.dslc-posts.dslc-projects.dslc-init-grid .dslc-post').each(function() {
                if (!last)
                {
                    if (jQuery(this).hasClass("dslc-last-col"))
                    {
                        last = true;
                    }
                    last_count++;
                }
            });
            // change is-checked class on buttons
            jQuery('.dslc-post-filter.cocktail-filter').click(function() {
                $(document).off("click", '.dslc-post-filter');
                var filterValue = jQuery(this).attr('data-id');
                var filterValueMasonry = filterValue;
                if (filterValueMasonry != " ")
                {
                    filterValueMasonry = "." + filterValue;
                }
                else
                {
                    filterValueMasonry = "";
                    filterValue = "";
                }
                jQuery('.dslc-posts.dslc-projects.dslc-init-grid .dslc-post').removeClass("dslc-first-col");
                jQuery('.dslc-posts.dslc-projects.dslc-init-grid .dslc-post').removeClass("dslc-last-col");
                var count = 0;
                jQuery('.dslc-posts.dslc-projects .dslc-post').each(function() {
                    if (jQuery(this).hasClass(filterValue) || filterValue == "")
                    {
                        count++;
                        if (count % last_count == 1)
                        {
                            jQuery(this).addClass("dslc-first-col");
                        }
                        else if (count % last_count == 0)
                        {
                            jQuery(this).addClass("dslc-last-col");
                        }
                    }
                });
                container.isotope({filter: filterValueMasonry});
                jQuery(".dslc-post-filters").find('.dslc-active').removeClass('dslc-active').addClass("dslc-inactive");
                jQuery(this).removeClass('dslc-inactive').addClass("dslc-active");
            });
        }
    });
});
jQuery(window).load(function() {
    cocktail_counter();
    cocktail_circle_chart();
});